php

⚠Прекращение поддержки PHP 5.6.x

Версии языка программирования PHP 5.6.x перестанут получать обновления безопасности, что означает окончательное прекращение поддержки версий из ветви PHP 5.x. Это произойдет после 31 декабря 2018 года, об этом сообщили разработчики.

В мире более 79% сайтов функционируют на PHP, 62% из них – на версиях ниже, чем 7.х. То есть более половины ресурсов в Интернете, перестав получать обновления безопасности, окажутся под угрозой со стороны хакеров, недоброжелателей и вредоносного ПО. Если после Нового года ваш ресурс окажется в числе тех, которые не перешли на следующую версию PHP, значит вы потенциально подвергаетесь риску.

Разработчики PHP давно планируют отказаться от версии PHP 5.х, вышедшей еще в 2004 году, но сделать это ранее им не дала статистика: в начале 2017 года PHP 5.6 стала самой массовой и популярной версией языка PHP, что повлияло на их решение. Прекращение поддержки было перенесено на начало 2019 года, продлив жизнь текущим версиям.

Однако, далеко не все владельцы сайтов принялись переходить на более новую ветку 7.х – одними из первых изменения принялись вносить популярные CMS, повышая минимальные требования, предупреждая пользователей о необходимом апдейте.

Drupal первая из масштабных систем управления контентом, изменившая минимальные требования PHP до версии 7.х. Что касается CMS Joomla и WordPress, там на данный момент числятся предыдущие минимальные требования – версии PHP 5.3 и PHP 5.2 соответственно.

Если ваш сайт работает на версии PHP 5.6.x или ниже, то эти несколько месяцев – хороший шанс, чтобы перейти на следующее поколение. Проигнорировав изменения, вы подвергаете риску свой сайт и данные ваших клиентов.